This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 459885 - Review Request: rubygem-highline - HighLine is a high-level command-line IO library
Review Request: rubygem-highline - HighLine is a high-level command-line IO l...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Roberts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-23 13:29 EDT by Jeroen van Meeuwen
Modified: 2014-07-28 14:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-03 18:29:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jonrob.one: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2008-08-23 13:29:30 EDT
Spec URL: http://www.kanarip.com/custom/SPECS/rubygem-highline.spec
SRPM URL: http://www.kanarip.com/custom/f10/SRPMS/rubygem-highline-1.4.0-1.fc10.src.rpm
Description: A high-level IO library that provides validation, type conversion, and more for command-line interfaces. HighLine also includes a complete menu system that can crank out anything from simple list selection to complete shells with just minutes of work.

rpmlint is silent

koji scratch builds:

- f8: http://koji.fedoraproject.org/koji/taskinfo?taskID=781393
- f9: http://koji.fedoraproject.org/koji/taskinfo?taskID=781395
- f10: http://koji.fedoraproject.org/koji/taskinfo?taskID=781399
Comment 1 Jonathan Roberts 2008-09-07 09:58:49 EDT
RPM Lint: OK
Package name: OK
Spec file: OK
License: OK
Actual License: OK
%doc License: OK
Spec file language: OK
Spec file readable: OK
Upstream source vs. used tarball: OK
Compile and Build:
 - F-8: OK
 - F-9: OK
 - rawhide: OK
 - EL-5: OK

Applicable Package Guidelines:

Locales: NA
Shared libs: NA

Relocatable: NA
Directory and file ownership: NA
No duplicate files in %files: OK
File Permissions: OK
Macro usage: OK
Code vs. Content: Code - NA
(Large) Documentation: NA
%doc affecting runtime: NA
Header files in -devel package: NA
Static Libraries in -static package: NA
pkgconfig Requires: NA
Library files: NA
Devel requires base package: NA
.la libtool archives: NA
Duplicate ownership of files/directories: OK
Remove BuildRoot: OK
UTF-8 filenames: OK
Comment 2 Jeroen van Meeuwen 2008-09-08 10:08:13 EDT
Added the ruby(abi) = 1.8 requirement;

New SPEC: http://www.kanarip.com/custom/SPECS/rubygem-highline.spec
New SRPM: http://www.kanarip.com/custom/f10/SRPMS/rubygem-highline-1.4.0-2.fc10.src.rpm
Comment 3 Jonathan Roberts 2008-09-17 05:43:37 EDT
Again, should we be using 'BuildRequires: ruby' as it says in the package guidelines?

Besides that, I'm happy with the package but can't set fedora-review tag to + still.
Comment 4 Jonathan Roberts 2008-09-30 07:45:28 EDT
Set fedora-review + and changed assignee to an account that works. Sorry for any delays with review of this package.
Comment 5 Jeroen van Meeuwen 2008-09-30 07:49:02 EDT
New Package CVS Request
=======================
Package Name: kanarip
Short Description: Highline is a high-level command-line IO library
Owners: kanarip
Branches: EL-5 F-8 F-9
InitialCC: kanarip
Comment 6 Kevin Fenzi 2008-10-01 14:58:30 EDT
I assume the package name here is 'rubygem-highline' not 'kanarip'. ;) 

cvs done.
Comment 7 Fedora Update System 2008-10-01 20:26:33 EDT
rubygem-highline-1.4.0-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rubygem-highline-1.4.0-2.fc9
Comment 8 Fedora Update System 2008-10-01 20:26:36 EDT
rubygem-highline-1.4.0-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/rubygem-highline-1.4.0-2.fc8
Comment 9 Fedora Update System 2008-10-03 18:29:19 EDT
rubygem-highline-1.4.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-10-03 18:32:24 EDT
rubygem-highline-1.4.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Troy Dawson 2014-07-28 13:05:22 EDT
Package Change Request
======================
Package Name: rubygem-highline
New Branches: epel7
Owners: tdawson
Comment 12 Gwyn Ciesla 2014-07-28 14:51:22 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.